package examples.EventExamples.separateControllerClasses;

import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;
import javafx.scene.input.InputEvent;
import javafx.scene.input.MouseEvent;

public class SimpleReactiveButton extends Application {
	 
    public static void main(String[] args) {
        Application.launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
        primaryStage.setTitle("Hello World");
        
        FlowPane root = new FlowPane();
        root.setAlignment(Pos.CENTER);
		
        Button btn = new Button("Hello World");

//        btn.addEventHandler(InputEvent.ANY, new MyEventController());
        btn.addEventHandler(MouseEvent.MOUSE_CLICKED, new MyEventController());
        
        Scene scene = new Scene(root, 300, 250);
        root.getChildren().add(btn);
        primaryStage.setScene(scene);
        primaryStage.show();
    }
}