package examples.EventExamples;

import javafx.application.Application;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.layout.FlowPane;
import javafx.stage.Stage;

public class SimplestEvent extends Application {
	 
    public static void main(String[] args) {
        Application.launch(args);
    }
    
    @Override
    public void start(Stage primaryStage) {
        primaryStage.setTitle("Hello World");
        
        FlowPane root = new FlowPane();
        root.setAlignment(Pos.CENTER);
		
        Button btn = new Button("Hello World");

        btn.setOnMouseClicked(e ->{
            			System.out.println("Clicked!");
        });
        
        Scene scene = new Scene(root, 300, 250);
        root.getChildren().add(btn);
        primaryStage.setScene(scene);
        primaryStage.show();
    }
}